/*
 * IIR filter coefficient calculation routines.
 *
 * Grisha Sitkarev, <sitkarev@unixkomi.ru>
 *
 */

#ifndef IIR_COEF_H_
#define IIR_COEF_H_

/* Second order biquadratic IIR filter coefficients. */
struct iir_biquad {
	double a1, a2;
	double b0, b1, b2;
};

/* Structure used to represent biquadratic cascades. */
struct iir_filter_coef {
	/* Number of biquadratic cascades. */
	unsigned int		nrcasc;
	/* Array of biquadratic cascades coefficients. */
	struct iir_biquad	*casc;
};

struct iir_filter_coef *iir_calc_coef(struct transfer_func *z);


#endif
